Create new gatewayAsk AIpost https://api.tatum.io/v4/manage/gatewayCreates a new gateway for the given owner. It accepts the gateway configuration payload and registers a new gateway.Body ParamsdisplayNamestringrequiredlength between 1 and 100Human-readable name of the gateway. Displayed in dashboards, APIs, and management interfaces.interfacestringrequiredInterface or protocol used by this gateway. Examples include "ethereum-mainnet-json-rpc", "polygon-mumbai-json-rpc", etc.isActivebooleanrequiredIndicates whether the gateway is currently active and processing traffic.truefalseendpointConfigsarrayrequiredlength ≤ 10Configuration of endpoints associated with this gateway. Defines how individual endpoints participate in routing, including their priority, weight, and enabled status. Maximum of 10 endpoints per gateway.endpointConfigs*ADD UserEndpointConfig | TatumManagedEndpointConfigendpointRoutingstringrequiredThe strategy used for routing traffic across configured endpoints. "priority-failover": Traffic is routed to the highest-priority healthy endpoint first. If it becomes unavailable, traffic automatically fails over to the next endpoint based on priority. "load-distribution": Traffic is distributed across all enabled endpoints according to their defined weights (typically weighted round-robin). enabledPowerupsobjectrequiredOptional performance and reliability features enabled for the gateway.enabledPowerups objectmethodRoutingOverridesarray of objectsOverride configurations for specific methods of this gateway.methodRoutingOverridesADD objectResponses 201The created gateway 400Bad request 401Unauthorized 403ForbiddenUpdated 4 months ago